export default {
    data(){
        return {
            vifValue:true,
            vshowValue:true,
        }
    },
    inject: ['viewData'],
    watch:{
        viewData:{
            handler: function(nv,ov){
                let vifObj = this.define.config["v-if"];
                if(vifObj && vifObj.type.toLowerCase() == "viewdata"){
                    this.vifValue = nv[vifObj.attr]
                }


                let vshowObj = this.define.config["v-show"];
                if(vshowObj && vshowObj.type.toLowerCase() == "viewdata"){
                    this.vshowValue = nv[vshowObj.attr]
                }
            },
            deep: true,
            immediate: true
        }
    }
}


